/* Cold-Spare guard combining failures of 2 primary units P1F and P2F, 1 shared spare A1, 1 dedicated spare A2 */
FactorModel {
  O1 desc "CSP gate 1 output"
    requiresNOf(1|H1,H2|1) excludes(A2) final;
  H1 requires(A1,A2) final;
  H2 requires(P1F) requiresMit(P2F) final;
  P1F desc "primary unit 1 fails"
    preventsMit(P2F)
    mitPreventsMit(P2F); // spare (sequence) only available to one primary unit
  A1 desc "alternative unit 1 fails (generally unavailable)"
    requiresNOf(1|P1F,P2F)
    preventsMit(P2F); // cold spares do not fail if primaries are operational
  A2 desc "alternative unit 2 fails"
    requires(A1) preventsMit(A1,P1F) final;
  O2 desc "CSP gate 2 output"
    requires(A1) final;
  P2F desc "primary unit 2 fails"
    /* mitCauses(H) */
    preventsMit(P1F) mitPreventsMit(P1F,A1);
}

ControlLoop {
  P1 desc "primary active unit 1";
  P2 desc "primary active unit 2";
  A1 desc "alternative unit 1 (spare for 1 xor 2)";
  A2 desc "alternative unit 2 (spare for 1)";
}

Activity {
  /* initialState (P1F:a,P2F:a); */
}

Settings {
  suppressMishaps=true;
  suppressMitigations=false;
  /* mitigationDepth=1; */
  suppressLoops=true;
  /* allFactorsDirect=true; */
  graphDirection=LR;
}

