/* Cold-Spare guard: 1 primary unit, 2 cold spares */
FactorModel {
  CS1 desc "CSP gate output"
    requires(FA2) final;
  FP1 desc "primary unit 1 fails"; // spare (sequence) only available to one primary unit
  FA1 desc "alternative unit 1 fails (generally unavailable)"
    requiresOcc(FP1) preventsMit(FP1); // cold spares do not fail if primaries are operational
  FA2 desc "alternative unit 2 fails"
    requiresOcc(FA1) preventsMit(FA1) final;
}

ControlLoop {
  P1 desc "primary active unit 1";
  A1 desc "alternative unit 1";
  A2 desc "alternative unit 2";
}

Activity {
  /* initialState (P1F:a,P2F:a); */
}

Settings {
  /* suppressMishaps=true; */
  /* suppressMitigations=false; */
  /* mitigationDepth=1; */
  suppressLoops=true;
  /* allFactorsDirect=true; */
  graphDirection=TB;
}

